{% extends "base.html" %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">

                <!-- Form - User -->
                <form action="" method="post" class="form-horizontal">

                    {% csrf_token %}

                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Errors - username -->
                            {% if form.username.errors %}
                                <label class="alert alert-danger">{{ form.username.errors }}</label>
                            {% endif %}

                            <!-- Form field - username -->
                            <label>
                                <input type="text"
                                       placeholder="Username"
                                       class="form-control"
                                       name="username"
                                       required
                                       value="{{ form.username.value|default:"" }}">
                            </label>

                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Errors - password -->
                            {% if form.password.errors %}
                                <label class="alert alert-danger">{{ form.password.errors }}</label>
                            {% endif %}

                            <!-- Form field - password -->
                            <label>
                                <input type="password"
                                       placeholder="Password"
                                       class="form-control"
                                       name="password"
                                       required
                                       value="{{ form.password.value|default:"" }}">
                            </label>

                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Errors - first_name -->
                            {% if form.first_name.errors %}
                                <label class="alert alert-danger">{{ form.first_name.errors }}</label>
                            {% endif %}

                            <!-- Form field - first_name -->
                            <label>
                                <input type="text"
                                       placeholder="First Name"
                                       class="form-control"
                                       name="first_name"
                                       required
                                       value="{{ form.first_name.value|default:"" }}">
                            </label>

                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Errors - last_name -->
                            {% if form.last_name.errors %}
                                <label class="alert alert-danger">{{ form.last_name.errors }}</label>
                            {% endif %}

                            <!-- Form field - last_name -->
                            <label>
                                <input type="text"
                                       placeholder="Last Name"
                                       class="form-control"
                                       name="last_name"
                                       required
                                       value="{{ form.last_name.value|default:"" }}">
                            </label>

                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Errors - email -->
                            {% if form.email.errors %}
                                <label class="alert alert-danger">{{ form.email.errors }}</label>
                            {% endif %}

                            <!-- Form field - email -->
                            <label>
                                <input type="text"
                                       placeholder="Email"
                                       class="form-control"
                                       name="email"
                                       required
                                       value="{{ form.email.value|default:"" }}">
                            </label>

                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-9">

                            <!-- Submit button -->
                            <button type="submit" class="btn btn-primary btn-block">Submit</button>

                        </div>
                    </div>

                </form>

            </div>
        </div>
    </div>
{% endblock %}